This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 253903 - [RFE] Warn about /etc/hosts being obviously wrong
[RFE] Warn about /etc/hosts being obviously wrong
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: conga (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 15:48 EDT by Lon Hohberger
Modified: 2009-04-16 16:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 21:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-08-22 15:48:35 EDT
Description of problem:

Sometimes, people do bad things in /etc/hosts, like:

127.0.0.1 my-test.redhat.com  my-test localhost.localdomain localhost


If you add 'my-test.redhat.com' to Luci, it will work fine, but there are some
side effects which will be hit later:

(a) If you fix /etc/hosts, the host must be deleted from Conga (Ryan noticed
this) and re-added in order to continue administration, despite the certificates
being available and "trusted".  (If part of a cluster, cluster.conf may need to
me manually updated as well.)

(b) If you don't fix /etc/hosts, CMAN will refuse to start, citing inability to
find broadcast (or multicast) matches.

The request is to minimally check /etc/hosts and make sure the hostname we're
talking to isn't listed on the same line as localhost and/or 127.x.x.x (or the
equivalent in ipv6 notation)

Note You need to log in before you can comment on or make changes to this bug.